Write workspace files
curl --request POST \
--url https://api.{domain}/v1/sessions/{session_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"type": "inline",
"path": "data/input.csv",
"data": "aWQsbmFtZQoxLGFjbWU="
}
]
}
'import requests
url = "https://api.{domain}/v1/sessions/{session_id}/files"
payload = { "files": [
{
"type": "inline",
"path": "data/input.csv",
"data": "aWQsbmFtZQoxLGFjbWU="
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{type: 'inline', path: 'data/input.csv', data: 'aWQsbmFtZQoxLGFjbWU='}]
})
};
fetch('https://api.{domain}/v1/sessions/{session_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "workspace_file",
"path": "<string>",
"size_bytes": 123
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}API Reference
Write workspace files
Write files into a running session’s workspace.
POST
/
v1
/
sessions
/
{session_id}
/
files
Write workspace files
Authorizations
A gbr_pat_ access token. Scopes are recorded on the token when it is minted.
Headers
Retrying with the same key replays the first answer instead of acting again.
Maximum string length:
255Body
application/json
Files to write into the running workspace. Same shape as environment.files, which seeds one before the first turn.
Show child attributes
Show child attributes
Response
Write files into a running session's workspace.
What was written into the workspace. A path that was already there has been overwritten — that is what the request asked for.